#
# Conditional build:
%bcond_without	kerberos5	# GSSAPI for SPNEGO auth
%bcond_without	tests		# build without tests
%bcond_with	tests_online	# build with tests reqiuring online access

Summary:	C git library
Summary(pl.UTF-8):	Biblioteka git dla C
Name:		libgit2
Version:	0.23.3
Release:	1
License:	GPL v2 with linking exception
Group:		Libraries
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	b33d043f655cc0671aeb95d62a75c981
Patch0:	        %{name}-test-online.patch
Patch1:	        %{name}-no-libgit2-test.patch
URL:		http://libgit2.github.com/
BuildRequires:	cmake >= 2.8
BuildRequires:	curl-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	http-parser-devel >= 2
BuildRequires:	libssh2-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
%{?with_tests:BuildRequires:	python}
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language with
bindings.

%description -l pl.UTF-8
libgit2 to przenośna implementacja w czystym C głównych metod Gita,
udostępniona jako bezpieczna dla wątków biblioteka ze stałym API,
pozwalająca na pisanie własnych aplikacji dla Gita o natywnej
szybkości w dowolnym języku posiadającym odpowiednie wiązania.

%package devel
Summary:	Header files for libgit2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libgit2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	http-parser-devel
Requires:	libssh2-devel
Requires:	openssl-devel
Requires:	zlib-devel

%description devel
Header files for libgit2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libgit2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d build
cd build
# CMakeLists.txt supports only relative LIB_INSTALL_DIR and INCLUDE_INSTALL_DIR
# (otherwise .pc file is generated incorrectly).
# Type (:PATH or :STRING) must be specified explicitly to avoid expansion
# relative to cwd.
%cmake .. \
	-DINCLUDE_INSTALL_DIR:PATH=include \
	-DLIB_INSTALL_DIR:PATH=%{_lib} \
	%{?with_tests_online:-DONLINE_TESTS:BOOL=ON} \
	-DTHREADSAFE:BOOL=ON \
	%{?with_kerberos5:-DUSE_GSSAPI:BOOL=ON}
%{__make}

%{?with_tests:%{__make} test ARGS="-V"}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md COPYING README.md
%attr(755,root,root) %{_libdir}/libgit2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgit2.so.23

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgit2.so
%{_includedir}/git2.h
%{_includedir}/git2
%{_pkgconfigdir}/libgit2.pc
%changelog
* Sun Oct 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libgit2.git;a=log;h=master

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 5a6c8e5
- updated to 0.23.3
- update test-online patch

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 3f3bb02
- updated to 0.22.2

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 5bad49b
- updated to 0.22.1 (note: new soname)
- adjusted test-online patch (network::remote::remotes patch requires DNS access)

* Fri Dec 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 0fa43ee
- up to 0.21.3; security fixes

* Wed Nov 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 1b71f52
- updated to 0.21.2

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> b6ff258
- updated to 0.21.1

* Mon Jun 23 2014 Jakub Bogusz <qboosh@pld-linux.org> cfe2201
- updated to 0.21.0 (note: new soname)

* Fri Jan 10 2014 Jakub Bogusz <qboosh@pld-linux.org> 2f30668
- enable THREADSAFE; release 3

* Sat Jan 04 2014 Jakub Bogusz <qboosh@pld-linux.org> b96b78f
- override INCLUDE_INSTALL_DIR and LIB_INSTALL_DIR coming from cmake macro to fix paths in .pc file
- completed -devel dependencies (from .pc)
- release 2

* Fri Nov 29 2013 Jakub Bogusz <qboosh@pld-linux.org> 6bc0cd1
- added no-libgit2-test patch (disable patch requiring local libgit2 repository, not present in release tarballs)

* Mon Nov 25 2013 Łukasz Kieś <kiesiu@pld-linux.org> 8a14caa
- updated to 0.20.0

* Sun Jul 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 43bce41
- updated to 0.19.0
- removed obsolete http-parser patch

* Fri Jun 07 2013 Kacper Kornet <draenog@pld-linux.org> c1bf3b6
- omit tests requiring online access

* Fri Jun 07 2013 Kacper Kornet <draenog@pld-linux.org> d1549dd
- more verbose tests

* Thu Jun 06 2013 Kacper Kornet <draenog@pld-linux.org> 3c0e613
- use system http-parser

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 6053f04
- pl, -devel deps

* Wed Jun 05 2013 Elan Ruusamäe <glen@delfi.ee> 3ed59b6
- ghost soname symlink; cosmetics

* Tue Jun 04 2013 Kacper Kornet <draenog@pld-linux.org> e02620d
- initial version

